function setup_free_lus_list(options) {
    const can_see_assignees = has_permission("users.view_assignment");

    const ajaxURL = can_see_assignees ? '/' + lang + '/entries/get_entries/?with_lexical_units=false&without_frames=true' : '/' + lang + '/unifier/get_unified_frames/?exclude_status=N&restrict_to_user='+window.USER_USERNAME;

    const datatable = setup_datatable({
        element: options.table,
        url: ajaxURL,
        columns: [
            { data: 'lemma' },
            { data: 'status' },
            { data: 'id' },
        ],
        hidden_columns: [2],
        selectEntryId: options.selectEntryId,
        setup_hierarchy_marking: false
    });
    datatable.on('click', 'tr.entry', function () {
        const data = datatable.row(this).data();
        if (!data) return;
        const related = data.related === true;
        $('.entry', options.table).removeClass('table-primary');
        options.entrySelected(Number(data.id));
        $(this).addClass('table-primary');
    });
}
